
// this file should hold constants that will never change (not even on different customizer or different website) !!!
// this file should hold constants that will never change (not even on different customizer or different website) !!!
// this file should hold constants that will never change (not even on different customizer or different website) !!!

// root events
export const ALL_CONFIGS_LOADED = 'ALL_CONFIGS_LOADED';

// customizer visibility
export const EVENT_HIDE_CUSTOMIZER = 'EVENT_HIDE_CUSTOMIZER';
export const EVENT_SHOW_CUSTOMIZER = 'EVENT_SHOW_CUSTOMIZER';

// ui
export const EVENT_UI_COLOR_CHANGED = 'EVENT_UI_COLOR_CHANGED'; // when user clicks on html element - color
export const EVENT_UI_INPUT_CHANGED = 'EVENT_UI_INPUT_CHANGED'; // when user changes custom text, prob needs a timeout
export const EVENT_UI_UPLOAD_IMAGE = 'EVENT_UI_UPLOAD_IMAGE'; // when user changes custom text, prob needs a timeout
export const EVENT_UI_SELECT_GROUP = 'EVENT_UI_SELECT_GROUP'; // when group is selected for pins to trigger
export const EVENT_UI_DESELECT_GROUP = 'EVENT_UI_DESELECT_GROUP'; 
export const EVENT_GET_UI_SIZE = 'EVENT_GET_UI_SIZE'; 
export const EVENT_PIN_SELECT = 'EVENT_PIN_SELECT'; 
export const EVENT_GET_CUSTOM_TEXT_PARAMS = 'EVENT_GET_CUSTOM_TEXT_PARAMS'; 

// shop
export const EVENT_UI_ADD_TO_CART = 'EVENT_UI_ADD_TO_CART';
export const EVENT_TAKE_SCREENSHOT = 'EVENT_TAKE_SCREENSHOT';

// window resize
export const EVENT_WINDOW_RESIZE = 'EVENT_WINDOW_RESIZE'; // WHY?


// prelaoder events
export const EVENT_PRELOADER_ADD = 'EVENT_PRELOADER_ADD';
export const EVENT_PRELOADER_START = 'EVENT_PRELOADER_START';
export const EVENT_PRELOADER_FINISHED = 'EVENT_PRELOADER_FINISHED';
export const EVENT_PRELOADER_LIST = 'EVENT_PRELOADER_LIST';
export const EVENT_SILENT_LOAD = 'EVENT_SILENT_LOAD';
export const EVENT_STATE_WHEN_READY = 'EVENT_STATE_WHEN_READY';
export const EVENT_STATE_LOADING = 'EVENT_STATE_LOADING';
export const EVENT_STATE_READY = 'EVENT_STATE_READY';
export const EVENT_STATE_VISIBLE = 'EVENT_STATE_VISIBLE';
export const EVENT_STATE_OUTRO = 'EVENT_STATE_OUTRO';

// progress bar & outro
export const EVENT_PROGRESS_ADD = 'EVENT_PROGRESS_ADD';
export const EVENT_ADJUST_PROGRESS_CONFIG = 'EVENT_ADJUST_PROGRESS_CONFIG';
export const EVENT_PROGRESS_BAR_STARTED = 'EVENT_PROGRESS_BAR_STARTED';
export const EVENT_OUTRO_START = 'EVENT_OUTRO_START';
export const EVENT_OUTRO_ADD = 'EVENT_OUTRO_ADD';

// state manager
export const EVENT_CUSTOMIZER_LOADING = 'EVENT_CUSTOMIZER_LOADING';
export const EVENT_CUSTOMIZER_SCENE_READY = 'EVENT_CUSTOMIZER_SCENE_READY';
export const EVENT_CUSTOMIZER_READY = 'EVENT_CUSTOMIZER_READY';
export const EVENT_CUSTOMIZER_VISIBLE = 'EVENT_CUSTOMIZER_VISIBLE';
export const EVENT_RESUME_CUSTOMIZER = 'EVENT_RESUME_CUSTOMIZER';
export const EVENT_UI_CHANGE_STEP = 'EVENT_UI_CHANGE_STEP';

export const EVENT_DYNAMIC_PROPERTY_CREATION = 'EVENT_DYNAMIC_PROPERTY_CREATION';
export const EVENT_DYNAMIC_PROPERTY_UPDATE = 'EVENT_DYNAMIC_PROPERTY_UPDATE';
export const EVENT_DYNAMIC_PROPERTY_UPDATED = 'EVENT_DYNAMIC_PROPERTY_UPDATED';

// product config
export const EVENT_CREATE_MODEL = 'EVENT_CREATE_MODEL';

// model config

// three.js
export const EVENT_ADD_TO_SCENE = 'EVENT_ADD_TO_SCENE';
export const EVENT_REMOVE_FROM_SCENE = 'EVENT_REMOVE_FROM_SCENE';
export const EVENT_GET_THREE_SCENE = 'EVENT_GET_THREE_SCENE';
export const EVENT_GET_THREE_CAMERA = 'EVENT_GET_THREE_CAMERA';
export const EVENT_GET_CAMERA_INITIAL_POSITION = 'EVENT_GET_CAMERA_INITIAL_POSITION';
export const EVENT_GET_THREE_RENDERER = 'EVENT_GET_THREE_RENDERER';
export const EVENT_ADD_TO_RENDERER = 'EVENT_ADD_TO_RENDERER';
export const EVENT_GET_THREE_CANVAS = 'EVENT_GET_THREE_CANVAS';
export const EVENT_GET_PRODUCT_POSITION = 'EVENT_GET_PRODUCT_POSITION';
export const EVENT_TRIGGER_RENDER = 'EVENT_TRIGGER_RENDER';
export const EVENT_GET_PIN_POSITION = 'EVENT_GET_PIN_POSITION';
export const EVENT_CAMERA_ANIMATION = 'EVENT_CAMERA_ANIMATION';
export const EVENT_CAMERA_RESET_ANIMATION = 'EVENT_CAMERA_RESET_ANIMATION';


// model & components
export const EVENT_ASSIGN_PARTS = 'EVENT_ASSIGN_PARTS';
export const EVENT_COLOR_CHANGE = 'EVENT_COLOR_CHANGE';
export const EVENT_CUSTOM_TEXT_CHANGE = 'EVENT_CUSTOM_TEXT_CHANGE';
export const EVENT_CHANGE_MASK = 'EVENT_CHANGE_MASK'; // when user changes custom text, prob needs a timeout
export const EVENT_PREPARE_PRODUCT_FACADE = 'EVENT_PREPARE_PRODUCT_FACADE';
export const EVENT_TEXTURE_CHANGE = 'EVENT_TEXTURE_CHANGE';
export const EVENT_GET_MODEL = 'EVENT_GET_MODEL';
export const EVENT_GET_MODEL_DIMENSIONS = 'EVENT_GET_MODEL_DIMENSIONS';
export const EVENT_GET_MODEL_PARTS = 'EVENT_GET_MODEL_PARTS';
export const EVENT_MODEL_READY = 'EVENT_MODEL_READY';
export const EVENT_TEXTURES_APPLIED = 'EVENT_TEXTURES_APPLIED';
export const EVENT_COLOR_CHANGE_COMPLETE = 'EVENT_COLOR_CHANGE_COMPLETE';
export const EVENT_TEXT_CHANGE_COMPLETE = 'EVENT_TEXT_CHANGE_COMPLETE';
export const EVENT_GET_UI_GROUP_NAME = 'EVENT_GET_UI_GROUP_NAME';
export const EVENT_GET_MODEL_NAME = 'EVENT_GET_MODEL_NAME';


// materials/textures EVENT_UPDATE_MASK
export const EVENT_BUILD_MATERIAL = 'EVENT_BUILD_MATERIAL';
export const EVENT_UPDATE_MATERIAL = 'EVENT_UPDATE_MATERIAL';
export const EVENT_UPDATE_CUSTOM_TEXT = 'EVENT_UPDATE_CUSTOM_TEXT';
export const EVENT_UPDATE_MASK = 'EVENT_UPDATE_MASK';
export const EVENT_SAVE_CUSTOM_TEXT_VALUES = 'EVENT_SAVE_CUSTOM_TEXT_VALUES';
export const EVENT_GET_COLOR_DATA = 'EVENT_GET_COLOR_DATA';
export const EVENT_GET_CUSTOM_TEXT_DATA = 'EVENT_GET_CUSTOM_TEXT_DATA';
export const EVENT_REGISTER_DEFAULT_COLOR = 'EVENT_REGISTER_DEFAULT_COLOR';
export const EVENT_GET_NEAREST_COLOR = 'EVENT_GET_NEAREST_COLOR';

// scene/extras
export const EVENT_GET_GROUND_CONFIG = 'EVENT_GET_GROUND_CONFIG';
export const EVENT_GET_CANVAS_SIZE = 'EVENT_GET_CANVAS_SIZE';

// controls
export const EVENT_AFTER_CONTROLS_UPDATE = 'EVENT_AFTER_CONTROLS_UPDATE';
export const TRIGGER_MANUAL_CONTROLS_UPDATE = 'TRIGGER_MANUAL_CONTROLS_UPDATE';
export const EVENT_GET_CONTROLS = 'EVENT_GET_CONTROLS';
export const EVENT_MOUSE_PRESS = 'EVENT_MOUSE_PRESS';
export const EVENT_MOUSE_RELEASE = 'EVENT_MOUSE_RELEASE';
export const EVENT_TRIGGER_ZOOM_IN = 'EVENT_TRIGGER_ZOOM_IN';
export const EVENT_TRIGGER_ZOOM_OUT = 'EVENT_TRIGGER_ZOOM_OUT';

// color
export const EVENT_CHECK_COLOR_DATA = 'EVENT_CHECK_COLOR_DATA';
export const EVENT_CHECK_COLOR_ALLOWED = 'EVENT_CHECK_COLOR_ALLOWED';
export const EVENT_GET_COLOR_FEEDER_INFO = 'EVENT_GET_COLOR_FEEDER_INFO';

//exporter
export const EVENT_COLLECT_PRODUCT_INFO = 'EVENT_COLLECT_PRODUCT_INFO';
export const EVENT_GET_PRODUCT_IS_CUSTOMIZED = 'EVENT_GET_PRODUCT_IS_CUSTOMIZED';
export const EVENT_COLORS_DATA_FOR_EXPORT = 'EVENT_COLORS_DATA_FOR_EXPORT';

// order manager
export const EVENT_SEND_PRODUCT_INFO = 'EVENT_SEND_PRODUCT_INFO';

// product types
export const EVENT_GET_PRODUCT_TYPE = 'EVENT_GET_PRODUCT_TYPE';


// non events - product types
export const TYPE_SWEATER = 'sweater';
export const TYPE_MEN_SWEATER = 'sweater-men';
export const TYPE_WOMEN_SWEATER = 'sweater-women';
export const TYPE_BLANKET = 'blanket';
export const TYPE_BLANKET_BABY = 'blanket-small'
export const TYPE_PILLOW = 'pillow';
export const TYPE_SCARF = 'scarf';

// not events - prelaoder file types
export const TYPE_TEXTURE = 'texture';
export const TYPE_IMAGE = 'image';
export const TYPE_GLB = 'glb';